function [URL] = gomtopourl(archive, pass_times, StartColumn, ...
                            EndColumn, StartRow, EndRow, dset_stride, ...
                            ranges, variable, server)
%
% This function will build the GOMTOPO file name.
%

% The preceding empty line is important.

Server = ['http://crusty.er.usgs.gov/cgi-bin/nph-nc/gom/' deblank(server)];
variable = deblank(variable);
Constraint = [sprintf('%s',variable,'[',num2str(StartRow),':', ...
    num2str(dset_stride),':',num2str(EndRow),'][', ...
    num2str(StartColumn), ':', num2str(dset_stride), ':',...
    num2str(EndColumn), ']')];
URL = sprintf('%s', Server, '?', Constraint);
return
