function [isl] = isleap(year)
%
%  Returns 1 if the input year is a leap year according to the
%  Pope Gregory and his followers, and 0 otherwise.
%

% The preceding empty line is important.
%
% $Id: isleap.m,v 1.5 1998/11/18 19:57:00 dbyrne Exp $

% $Log: isleap.m,v $
% Revision 1.5  1998/11/18 19:57:00  dbyrne
%
%
% Second try.  Bug fixes to jpl pathfinder data, changed names of
% Reynolds datasets to clarify that one is a climatology and one is not.
%
% Revision 1.1  1998/05/17 14:10:46  dbyrne
% *** empty log message ***
%
% Revision 1.1.1.1  1997/09/22 14:13:55  tom
% Imported Matlab GUI sources to CVS
%

isl = 0;
intyear = floor(year);

if rem( intyear, 4.0 ) == 0 & rem( intyear, 100.0 ) ~= 0
   isl = 1;
end

if rem( intyear, 400.0 ) == 0
   isl = 1;
end
