function [URL] = levurl(archive, pass_times, StartColumn, EndColumn, ...
StartRow, EndRow, depths, dset_stride, ranges, variablelist, server, ...
whichurl)
%
% change depths into INDEX into URL
VERSION = version; VERSION = str2num(VERSION(1));
i = find(depths >= ranges(3,1) & depths <= ranges(3,2));
depths = i-1;
Constraint = '';
if VERSION < 5
  depths = depths(whichurl);
else  % THIS IS A TEMPORARY KLUDGE UNTIL LOADDODS AND UNPACK
  % WILL HANDLE CUBIC MATRICES  -- dbyrne 98/11/24
  depths = depths(whichurl);
end
for i = 1:size(variablelist,1)
  TempName = deblank(variablelist(i,:));
  if i > 1
    Constraint = [Constraint ','];
  end
  Constraint = [Constraint sprintf('%s', TempName,'[', num2str(depths(1)), ':', ...
      num2str(depths(length(depths))), '][', num2str(StartRow), ':', ...
      num2str(dset_stride), ':', num2str(EndRow),'][', ...
      num2str(StartColumn), ':', num2str(dset_stride), ':',...
      num2str(EndColumn), ']')];
end
URL = sprintf('%s', deblank(server), '?', Constraint);
return
